---
updatedAt: 2026-10-29T10:03:13.000Z
agentTools:
  projectIndex: https://docs.yotpo.com/llms.txt
---

# User data

An asynchronous request that retrieves existing user data in the Yotpo system. User data is sent as a JSON file to the account email address associated with your Yotpo account.

> 📘 Note:
>
> Send your store's access token in the `X-Yotpo-Token` header and the customer's email address as `email`.

## What happens next?

If you received a **200 OK** response and the [data exists](https://docs.yotpo.com/reference/data-exists) endpoint returned a response attribute of `"has_data": true`, you'll receive the user data via an email sent to the email address associated with your Yotpo account. The email contains a link to a JSON file which includes any existing user data as shown in the response below:

![450](https://files.readme.io/7df4823-screenshot-mail.google.com-2018.05.15-19-08-33.png "screenshot-mail.google.com-2018.05.15-19-08-33.png")

> 🚧 Notes:
>
> * The link to the user data JSON file will expire 48 hours after the request is generated.
> * The User Data JSON includes any orders metadata collected upon order creation.

```json User Data - Example
{
    reviews: [
      {
        id: 32,
        title: "This product changed my life",
        content: "I can't reccomend this product enough!",
        images: [ ],
        social_shares: [ ]
      }
],
    orders: [
     {
       id: 44,
       external_order_id: "1524729980",
       name: "Randy S.",
       email: "randy@example.com",
       "customer_properties": {
       "state": "New York",
       "country": "USA",
       "address": "123 Main Street",
       "phone_number": "555-555-5555"
     }
],
    questions: [
     {
       id: 4,
       content: "Do you have this in white?"
     }
],
answers: [
     {
      id:8
      content: Yes! We have this product in every color!
     }
],
uploaded_on_site: [
    {
        id: "39712118",             
        image_url:     "https://ddcfq0gxiontw.cloudfront.net/Account/208659/39711849/original.png?1523443483"
    }
],
photo_imports: null
}
```

> 🚧 Note:
>
> If your response came back with a 200 | OK code and you haven't received an email from Yotpo within 24 hours, please <a href="https://yap.yotpo.com/#/?modal=contact_support" target="_blank">reach out to Yotpo support</a> for assistance.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Response Param
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **Reviews** 
      </td>

      <td>
        The reviews array includes data on reviews associated with the queried account.
      </td>
    </tr>

    <tr>
      <td>
        `id`
      </td>

      <td>
        The review ID
      </td>
    </tr>

    <tr>
      <td>
        `title`
      </td>

      <td>
        The review title
      </td>
    </tr>

    <tr>
      <td>
        `content`
      </td>

      <td>
        The review content
      </td>
    </tr>

    <tr>
      <td>
        `images`
      </td>

      <td>
        Any customer photos included with the review
      </td>
    </tr>

    <tr>
      <td>
        `social_shares`
      </td>

      <td>
        Social media network where the review was shared
      </td>
    </tr>

    <tr>
      <td>
        **Orders**
      </td>

      <td>
        The orders array includes data on orders associated with the queried account.
      </td>
    </tr>

    <tr>
      <td>
        `id`
      </td>

      <td>
        Yotpo's internal order ID
      </td>
    </tr>

    <tr>
      <td>
        `external_order_id`
      </td>

      <td>
        Your eCommerce platform order ID (e.g. Shopify order ID).
      </td>
    </tr>

    <tr>
      <td>
        `name`
      </td>

      <td>
        The customer's name
      </td>
    </tr>

    <tr>
      <td>
        `email`
      </td>

      <td>
        The customer's email address
      </td>
    </tr>

    <tr>
      <td>
        `customer_properties`
      </td>

      <td>
        Orders metadata includes customer `state` `country` `address` `phone_number`
      </td>
    </tr>

    <tr>
      <td>
        **Questions** 
      </td>

      <td>
        The questions array includes data on questions asked by reviewers per the queried account.
      </td>
    </tr>

    <tr>
      <td>
        `id`
      </td>

      <td>
        The question ID
      </td>
    </tr>

    <tr>
      <td>
        `content`
      </td>

      <td>
        The question content
      </td>
    </tr>

    <tr>
      <td>
        **Answers**
      </td>

      <td>
        The answers array includes data on questions asked by reviewers per the queried account.
      </td>
    </tr>

    <tr>
      <td>
        `id`
      </td>

      <td>
        The answer ID
      </td>
    </tr>

    <tr>
      <td>
        `content`
      </td>

      <td>
        The answer content
      </td>
    </tr>

    <tr>
      <td>
        **Uploaded On Site**
      </td>

      <td>
        Photos uploaded by customers through your on-site UGC or Product gallery
      </td>
    </tr>

    <tr>
      <td>
        `id`
      </td>

      <td>
        The photo upload ID
      </td>
    </tr>

    <tr>
      <td>
        `image_url`
      </td>

      <td>
        The image URL of the uploaded image
      </td>
    </tr>

    <tr>
      <td>
        **Photo Imports**
      </td>

      <td>
        Photos imported to Yotpo via <a href="https://support.yotpo.com/en/article/importing-photos-to-yotpo" target="_blank">.csv upload</a>
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Privacy API (Reviews and Visual UGC)",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.yotpo.com",
      "description": "Main API server for authenticated and write operations"
    }
  ],
  "paths": {
    "/privacy/data": {
      "get": {
        "summary": "User data",
        "description": "An asynchronous request that retrieves existing user data in the Yotpo system. User data is sent as a JSON file to the account email address associated with the Yotpo access token.",
        "operationId": "fetch-user-data",
        "parameters": [
          {
            "name": "email",
            "in": "query",
            "description": "The email address of the user you want to retrieve data about. URL-encode the value (for example `+` as `%2B`).",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": {\n        \"code\": 200,\n        \"message\": \"OK\"\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 200,
                          "default": 0,
                          "description": "HTTP status code."
                        },
                        "message": {
                          "type": "string",
                          "example": "OK",
                          "description": "Status message, for example `OK`."
                        }
                      },
                      "description": "Request status."
                    }
                  }
                }
              }
            },
            "headers": {
              "ratelimit-limit": {
                "description": "The maximum number of requests allowed in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-remaining": {
                "description": "The number of requests remaining in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-reset": {
                "description": "The time (in seconds) until the rate limit resets",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-limit-minute": {
                "description": "The maximum number of requests allowed per minute",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-remaining-minute": {
                "description": "The number of requests remaining in the current minute",
                "schema": {
                  "type": "integer"
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            },
            "headers": {
              "ratelimit-limit": {
                "description": "The maximum number of requests allowed in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-remaining": {
                "description": "The number of requests remaining in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-reset": {
                "description": "The time (in seconds) until the rate limit resets",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-limit-minute": {
                "description": "The maximum number of requests allowed per minute",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-remaining-minute": {
                "description": "The number of requests remaining in the current minute",
                "schema": {
                  "type": "integer"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "securitySchemes": {
      "X-Yotpo-Token": {
        "type": "apiKey",
        "in": "header",
        "name": "X-Yotpo-Token",
        "description": "Your Yotpo account access token. See [Yotpo Authentication](ref:yotpo-authentication) to learn how to generate your token."
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Missing or invalid access token",
        "content": {
          "application/json": {
            "examples": {
              "Unauthorized": {
                "value": {
                  "status": {
                    "message": "You are not authorized to access this page.",
                    "code": 401,
                    "error_type": "Exceptions::AccessDenied"
                  }
                }
              }
            },
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable error message"
                    },
                    "code": {
                      "type": "integer",
                      "description": "HTTP status code"
                    },
                    "error_type": {
                      "type": "string",
                      "description": "Internal error class"
                    }
                  },
                  "description": "Error details."
                }
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "X-Yotpo-Token": []
    }
  ]
}
```

# Sibling pages

* [About Privacy API](https://docs.yotpo.com/reference/about-privacy-api.md)
* [Data exists](https://docs.yotpo.com/reference/data-exists.md)
* [GDPR Delete](https://docs.yotpo.com/reference/gdpr-delete.md)